package home

_httpmusiclibrary_ {http://www.nzdl.org/cgi-bin/gw?c=meldex&a=page&p=coltitle}
_httpchineselibrary_ {_gwcgi_?a=p&p=about&c=chinese&l=zh&nw=u}

#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. this is overridden here as we don't want 'home' 
# links on this page

_javalinks_ {}
_javalinks_ [v=1] {}



#######################################################################
# icons
#######################################################################

_iconnzdl_ {<img src="_httpiconnzdl_" width=_widthnzdl_ height=_heightnzdl_>}
_icongbull_ {<img src="_httpicongbull_">}
_iconpdf_ {<img src="_httpiconpdf_">}
_iconselectcollection_ {<img src="_httpiconselcolgr_" width=_widthselcolgr_ height=_heightselcolgr_>}
_iconorvisit_ {<img src="_httpiconorvisgr_" width=_widthorvisgr_ height=_heightorvisgr_>}
_iconmusiclibrary_ {<img src="_httpicontmusic_" width=_widthtmusic_ height=_heighttmusic_ border=0>}

#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

#_httpiconnzdl_ {_httpimg_/nzdl.gif}
#_widthnzdl_ {400}
#_heightnzdl_ {112}
_httpiconnzdl_ {_httpimg_/nzdl2br.gif}
_widthnzdl_ {457}
_heightnzdl_ {181}

_httpicongbull_ {_httpimg_/gbull.gif}

_httpiconpdf_ {_httpimg_/pdf.gif}

_httpiconselcolgr_ {_httpimg_/selcolgr.gif}
_widthselcolgr_ {537}
_heightselcolgr_ {17}

_httpiconorvisgr_ {_httpimg_/orvisgr.gif}
_widthorvisgr_ {537}
_heightorvisgr_ {17}

_httpicontmusic_ {_httpimg_/tmusic.gif}
_widthtmusic_ {120}
_heighttmusic_ {17}

#######################################################################
# page content                     
#######################################################################

_pagetitle_ {Greenstone Digital Library}
_imagethispage_ {<a href="_httpgreenstone_">_imagegreenstone_</a>}
_imagecollection_ {_iconnzdl_}

_content_ {
<center>_iconselectcollection_</center><br>
_homeextra_
<center><table width=_pagewidth_>
<tr><td>_iconorvisit_
</td></tr>
<tr><td><a href="_httpmusiclibrary_">_iconmusiclibrary_</a>
</td></tr>
<tr><td>_iconblankbar_
</td></tr>
</table>

<table>
<tr valign=top><td>

<table border=0 cellpadding=5>
<tr valign=top><td rowspan=10 width=32> </td>
<tr valign=top><td>_icongbull_</td><td><a href="_httppagestatus_">_textstatuspage_</a></td></tr>
<tr valign=top><td>_icongbull_</td><td><a href="mailto:_mailaddr_">_textfb_</a></td></tr>
<tr valign=top><td>_icongbull_</td><td><a href="_httppagex_(people)">_textpeople_</a><br></td></tr>
<tr valign=top><td>_icongbull_</td><td><a href="_httpprefix_/html/pub.htm">_textpub_</a><br></td></tr>
<tr valign=top><td>_icongbull_</td><td><a href="_httppagex_(rw)">_textrw_</a><br></td></tr>
<tr valign=top><td>_icongbull_</td><td><a href="_httppagex_(technology)">_texttec_</a><br></td></tr>
<tr valign=top><td>_iconpdf_</td><td><a href="http://www.nzdl.org/publications/NZDLtext.pdf">_textinfosheet_</a></td></tr>
<tr valign=top><td>_iconpdf_</td><td><a href="http://www.nzdl.org/publications/NZDLpictures.pdf">_textscreenshots_</a></td></tr>
<tr valign=top><td>_iconpdf_</td><td><a href="http://www.nzdl.org/publications/Niupepa.pdf">_textnpepainfosheet_</a></td></tr>

</table>

</td>
<td>

<table border=0 cellpadding=5>
<tr><td>
<h2>_textprojhead_</h2>
_textprojinfo_
</td></tr></table>
</td></tr></table>
}


#######################################################################
# English language text macros
#######################################################################

_documents_ { documents. }
_lastupdate_ {Last updated}
_ago_ {days ago.}

_textstatuspage_ {Admin/Status page}
_textpeople_ {People}
_textfb_ {Feedback}
_textpub_ {Publications}
_texttec_ {Technology}
_textrw_ {Related Work}
_textinfosheet_ {Info Sheet}
_textscreenshots_ {Screen Shots}
_textnpepainfosheet_ {Niupepa Info Sheet}

_textprojhead_ {The New Zealand Digital Library Project}

_textprojinfo_ {
<h3>The NZDL system</h3>

<p> The New Zealand Digital Library system comprises several demonstration
collections -- computer science technical reports and bibliographies, literary
works, humanitarian and development information, magazines -- and makes them
available over the Web through full-text interfaces.  Behind the query
interface lies a huge collection providing gigabytes of information.  We hope
you find what you want, or at least something intriguing!

<h3>The Greenstone software</h3>

<p> The Greenstone Digital Library software provides a new way of organizing
information and making it available over the Internet.  A <i>collection</i> of
information comprises several (typically several thousand, or even several
million) <i>documents</i>, which share a uniform searching and browsing
interface.  The collections in a library are organized in a different
way--though they share a strong family resemblance.  Although primarily
designed for access over the Web, Greenstone collections can be made available,
in precisely the same form, on CD-ROM for standalone PCs.  Greenstone is
open-source software, available under the terms of the Gnu public linense.
 
<h3>The research</h3>

<p> The goal of our research program is to explore the potential of
internet-based digital libraries.  Our vision is to develop systems that
automatically impose structure on anarchic, uncatalogued, distributed
repositories of information, thereby providing information consumers with
effective tools to locate what they need and to peruse it conveniently and
comfortably.  Our research objectives are to

<ul>
  <li> develop technology for creating and automatically
      maintaining collections;
  <li> monitor usage to study library users' needs;
  <li> look at novel interfaces that cater to a wide spectrum of users;
  <li> find ways to abstract layout and bibliographic information
      from document files;
  <li> use this information to enhance presentation and for
      bibliometric research;
  <li> assess potential subject areas for public-domain collections;
  <li> survey and critique other digital library projects.
</ul>
}
